Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic
Class PicPoint.XComparator

    java.lang.Object
      jpicedt.graphic.PicPoint.XComparator

All Implemented Interfaces:
  Comparator

Enclosing class:
  PicPoint

public static class PicPoint.XComparator
extends Object
implements Comparator

a comparator b/w PicPoint for X-axis ordering

Constructor Summary
`PicPoint.XComparator()`

Method Summary
`int` | `compare(Object o1, Object o2)`
`boolean` | `equals(Object otherComp)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PicPoint.XComparator

    public PicPoint.XComparator()

Method Detail

### compare

    public int compare(Object o1,
                       Object o2)

  Specified by:
    `compare` in interface `Comparator`

### equals

    public boolean equals(Object otherComp)

  Specified by:
    `equals` in interface `Comparator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org